Public Support - Support Request #11587

Dynamic property is not created
2020-06-26 14:36 - hidden

Status: Closed

Priority: Normal

Category:

Customer: AUDI Product Issue https://www.cip.audi.de/jira/browse/ACO
Numbers: RE-10571

Department: EF Affected Products: ADTF 3.7.1

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::CE

Resolution: Solved Issue FAQ Links:

Description

Supportanfrage

Ich beziehe mich auf Support Request #11244. Wir sind auf ADTF 3.7.1 umgestiegen und mdchten gerne die brandneue
Umsetzungsmdglichkeit fir dynamische Propertys nutzen (vorgeschlagen in #11155).

Wir haben mit SetEditor("Demo Filter Editor", "object_generator.gml”) folgendes in der Plugin-Descr. erzeugt:

<editor_descriptions>
<editor_description>
<name>Demo Filter Editor</name>
<url>object_generator.gml</url>
</editor_description>
</editor_descriptions>

Das QML-File enthalt:

import EditorPlugin 1.0
OtQuick 2.7
QtQuick.Window 2.12

QtQuick.Controls 2.5

import
import
import

EditorPluginBase
{
id:
onExecute:

{

root

root.createInputPin ("Demo_pin");
root.createProperty (targetModel,

}

"Demo_property",

"value",

cString)

Aber das Plugin zeigt trotzdem weder Demo-Pin noch Demo-Property. Auch das Weglassen von "root" hat nicht geholfen.

Habt ihr eine Idee, ob wir noch einen Schritt vergessen haben oder ob wir hier einen Fehler machen?

Lésung

dein Vorgehen ist soweit richtig, allerdings musst du den typ (cString) ebenso wie einen String behandeln.

Das root kannst du weglassen im selben Scope.
import EditorPlugin 1.0
QtQuick 2.7
QtQuick.Window 2.12
QtQuick.Controls 2.5

import
import
import
https://support.digitalwerk.net/issues/11244
https://support.digitalwerk.net/issues/11155

EditorPluginBase
{
id: root
onExecute:
{
createInputPin ("Demo_pin");
createProperty (targetModel, "Demo_property", "value", "cString")

Das wars dann auch schon.

Leider bekommen wir die Fehlermeldungen aus javascript/qml an der Stelle nicht, das kdnntest du nur mittels QtCreator debuggen.
Wir sind hier noch am Uberlegen, ob man irgendwas machen kann aber aktuell bleibt dir nur selbst du debuggen.

PS: Nach dem Anlegen der Property wirst du eine Fehlermeldung bekommen, die du ignorieren kannst, das betrifft auch das
Example in der Doku.
Das fixen wir ein kiinftiger Version (ACORE-10571)

Related issues:

Related to Public Support - Support Request #11244: Using dynamic properties ... Closed
Related to Public Support - Support Request #11155: Using dynamic properties ... Closed
History

#1 - 2020-06-29 08:19 - hidden
- Status changed from New to In Progress

- Topic set to ADTF::CE

#2 - 2020-06-29 08:20 - hidden
- Related to Support Request #11244: Using dynamic properties in ADTF 3.x added

#3 - 2020-06-29 08:20 - hidden
- Related to Support Request #11155: Using dynamic properties in ADTF 3.x added

#4 - 2020-06-29 14:07 - hidden
- Status changed from In Progress to Customer Feedback Required

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10571

Hi Patrick,

dein Vorgehen ist soweit richtig, allerdings musst du den typ (cString) ebenso wie einen String behandeln.
Das root kannst du weglassen im selben Scope.

import EditorPlugin 1.0
import QtQuick 2.7

import QtQuick.Window 2.12
import QtQuick.Controls 2.5

EditorPluginBase
{
id: root
onExecute:

{
createInputPin ("Demo_pin") ;
createProperty (targetModel, "Demo_property", "value", "cString")
}

Das wars dann auch schon.

Leider bekommen wir die Fehlermeldungen aus javascript/gml an der Stelle nicht, das kénntest du nur mittels QtCreator debuggen.
Wir sind hier noch am Uberlegen, ob man irgendwas machen kann aber aktuell bleibt dir nur selbst du debuggen.

PS: Nach dem Anlegen der property wirst du eine Fehlermeldung bekommen, die du ignorieren kannst, das betrifft auch das Example in der Doku.
Das fixen wir ein kinftiger Version (ACORE-10571)
#5 - 2020-06-30 15:57 - hidden
- File editor_error.png added
Hallo Florian,

meinst Du diese Fehlermeldung?

editor_error.png
Der Dialog scheint aus diesem Aufruf zu kommen:

createProperty (targetModel, “Dyn Ref configuration file”, "default_value",
Ich kann mir nicht vorstellen, daB3 targetModel null ist, da die Nutzung davor kein Problem darstellt.
#6 - 2020-06-30 16:08 - hidden
Hi Patrick,

meinst Du diese Fehlermeldung?
ja genau, das wie gesagt ignorieren. Die Editor Basis Klasse wirft Exceptions obwohl alles gut geht.
Ist unschdn, schrankt aber die Funktionalitat nicht ein und wird in ACORE-10571 gefixt.
An deinen Code wird sich nichts &ndern mlssen, targetModel ist natirlich gegeben.

Fazit:
Dein Property sollte trotz Fehlermeldung im Anschluss angelegt sein.

#7 - 2020-07-02 16:25 - hidden
Hi Patrick,

ich denke das Ticket ist damit erledigt ?

#8 - 2020-07-02 16:58 - hidden

Ja, das Ticket kann geschlossen werden. Vielen Dank!

#9 - 2020-07-02 17:37 - hidden
- Project changed from 11 to Public Support

"cString")

- Subject changed from Neue Methode fiir dyn. Properties aus ADTF 3.7 to Dynamic property is not created

- Description updated
- Status changed from Customer Feedback Required to To Be Closed
- Private changed from Yes to No

- Resolution set to Solved Issue

#12 - 2020-07-07 12:50 - hidden
- Status changed from To Be Closed to Closed
